yarn @sentry/nextjs 6.17.0-beta.0

latest releases: 8.19.0, 8.18.0, 8.17.0...
2 years ago

This beta releases contains several internal refactors that help reduce the bundle size of the SDK and help prep for our upcoming major release. There are no breaking changes in this patch unless you are using our internal Dsn class. We also deprecated our typescript enums and our internal API class. We've detailed how to update your sdk usage if you are using the Dsn class or any of the deprecated methods in our migration documentation.

  • feat(core): Deprecate API class (#4281)
  • feat(dsn): Remove Dsn class (#4325)
  • feat(ember): Update ember dependencies (#4253)
  • fix(nextjs): Add sentry-cli existence check for enabling webpack plugin #4311
  • ref(tracing): deprecate span status enum (#4299)
  • ref(types): drop unused logLevel (#4317)
  • ref(types): deprecate request status enum (#4316)
  • ref(types): deprecate outcome enum (#4315)
  • ref(types): deprecate transactionmethod enum (#4314)
  • ref(types): deprecate status enum (#4298)
  • ref(types): deprecate severity enum (#4280)

Don't miss a new nextjs release

NewReleases is sending notifications on new releases.